Subject: Re: bug#62538: 29.0.60; Setting eglot-report-progress dir-locally doesn't work

From: João Távora <[email-masked]>
Date: Thu, 30 Mar 2023 09:19:25 +0100

Augusto Stoffel <[email-masked]> writes:

> I set eglot-report-progress to nil in the "nil" section of my project's
> .dir-locals.el, but I still see progress reports in the mode line.
>
> If I add a debug message to the corresponding eglot-handle-notification
> method, I see that the "(when eglot-report-progress" is evaluated in a
> temp buffer and so doesn't pick up the dir-local value.

Ah.  It wasn't meant to be used buffer-locally.  But if it's an easy
fix, there so reason it shouldn't be.

> (By the way, Eglot was feeling very sluggish until I decided to disable
> these notifications.  It reminded me of a similar situation with garbage
> collection, where disabling a message changed user's perception of
> latency in the process.  Or is this an urban legend?)

OK I will see what I can do.

João